#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    if(n==3){
        cout<<max(max(a[0],a[1]),a[2])-min(min(a[0],a[1]),a[2])<<'\n';
        cout<<"1 2 3\n";
    }
}
